# MPLAB IDE generated this makefile for use with GNU make.
# Project: SSD1928L Drivers.mcp
# Date: Fri Dec 19 16:53:48 2008

AS = pic30-as.exe
CC = pic30-gcc.exe
LD = pic30-ld.exe
AR = pic30-ar.exe
HX = pic30-bin2hex.exe
RM = rm

Objects-SSD1928Drivers/SSD1928L\ Drivers.hex : Objects-SSD1928Drivers/SSD1928L\ Drivers.cof
	$(HX) "Objects-SSD1928Drivers\SSD1928L Drivers.cof"

Objects-SSD1928Drivers/SSD1928L\ Drivers.cof : Objects-SSD1928Drivers/MainDemo.o Objects-SSD1928Drivers/Font25PixelsHeight.o Objects-SSD1928Drivers/Primitive.o Objects-SSD1928Drivers/Picture.o Objects-SSD1928Drivers/ov7660.o Objects-SSD1928Drivers/comm.o Objects-SSD1928Drivers/monitor.o Objects-SSD1928Drivers/SSD1928.o Objects-SSD1928Drivers/SSD1928_I2C.o Objects-SSD1928Drivers/ssd1928_sdhc.o
	$(CC) -mcpu=24FJ128GA010 "Objects-SSD1928Drivers\MainDemo.o" "Objects-SSD1928Drivers\Font25PixelsHeight.o" "Objects-SSD1928Drivers\Primitive.o" "Objects-SSD1928Drivers\Picture.o" "Objects-SSD1928Drivers\ov7660.o" "Objects-SSD1928Drivers\comm.o" "Objects-SSD1928Drivers\monitor.o" "Objects-SSD1928Drivers\SSD1928.o" "Objects-SSD1928Drivers\SSD1928_I2C.o" "Objects-SSD1928Drivers\ssd1928_sdhc.o" "C:\MICROCHIP\mcc30\SSD1928L Drivers\libpPIC24Fxxx-coff.a" -o"Objects-SSD1928Drivers\SSD1928L Drivers.cof" -Wl,-L"D:\mcc30\lib",--script="p24FJ128GA010.gld",--defsym=__MPLAB_BUILD=1,--defsym=__MPLAB_DEBUG=1,--defsym=__MPLAB_DEBUGGER_ICD2=1,--defsym=__ICD2RAM=1,--heap=3000

Objects-SSD1928Drivers/MainDemo.o : ../SSD1928L\ Drivers/uart/comm.h ../SSD1928L\ Drivers/uart/monitor.h ../../../program\ files/microchip/mplab\ c30/bin/../include/string.h ../SSD1928L\ Drivers/Microchip/Include/GenericTypeDefs.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24FJ128GA010.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24Fxxxx.h ../SSD1928L\ Drivers/uart/comm.h ../../../program\ files/microchip/mplab\ c30/bin/../include/stdio.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Meter.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/RoundDial.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/ListBox.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/EditBox.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/ProgressBar.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Picture.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/RadioButton.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/CheckBox.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Slider.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/StaticText.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/GroupBox.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Window.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Button.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/GOL.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/ScanCodes.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Primitive.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24FJ128GA010.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24Fxxxx.h ./ssd1928/endian.h ./ssd1928/ssd1928_sdhc.h ./ssd1928/SSD1928.h ../SSD1928L\ Drivers/Microchip/Include/GenericTypeDefs.h ./ssd1928/SSD1928_I2C.h ../SSD1928L\ Drivers/OV7660/ov7660.h ./ssd1928/SSD1928_REG.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24FJ128GA010.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24Fxxxx.h ./ssd1928/SSD1928.h ../SSD1928L\ Drivers/Microchip/Include/GenericTypeDefs.h ../../../program\ files/microchip/mplab\ c30/bin/../include/yvals.h ../../../program\ files/microchip/mplab\ c30/bin/../include/stdlib.h ../SSD1928L\ Drivers/GraphicsConfig.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Graphics.h ../SSD1928L\ Drivers/Microchip/Include/GenericTypeDefs.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24FJ128GA010.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24Fxxxx.h MainDemo.h MainDemo.c
	$(CC) -mcpu=24FJ128GA010 -x c -c "MainDemo.c" -o"Objects-SSD1928Drivers\MainDemo.o" -I".\ssd1928" -I"..\SSD1928L Drivers" -I"..\SSD1928L Drivers\sdhc" -I"..\SSD1928L Drivers\uart" -I"..\SSD1928L Drivers\OV7660" -I"..\SSD1928L Drivers\peripheral_24F\include" -I"..\SSD1928L Drivers\Microchip\Include\Graphics" -I"..\SSD1928L Drivers\Microchip\Include" -I"..\SSD1928L Drivers\Microchip\Graphics" -D__DEBUG -g -Os

Objects-SSD1928Drivers/Font25PixelsHeight.o : Font25PixelsHeight.c
	$(CC) -mcpu=24FJ128GA010 -x c -c "Font25PixelsHeight.c" -o"Objects-SSD1928Drivers\Font25PixelsHeight.o" -I".\ssd1928" -I"..\SSD1928L Drivers" -I"..\SSD1928L Drivers\sdhc" -I"..\SSD1928L Drivers\uart" -I"..\SSD1928L Drivers\OV7660" -I"..\SSD1928L Drivers\peripheral_24F\include" -I"..\SSD1928L Drivers\Microchip\Include\Graphics" -I"..\SSD1928L Drivers\Microchip\Include" -I"..\SSD1928L Drivers\Microchip\Graphics" -D__DEBUG -g -Os

Objects-SSD1928Drivers/Primitive.o : ../SSD1928L\ Drivers/Microchip/Include/Graphics/Meter.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/RoundDial.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/ListBox.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/EditBox.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/ProgressBar.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Picture.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/RadioButton.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/CheckBox.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Slider.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/StaticText.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/GroupBox.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Window.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Button.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/GOL.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/ScanCodes.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Primitive.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24FJ128GA010.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24Fxxxx.h ./ssd1928/endian.h ./ssd1928/ssd1928_sdhc.h ./ssd1928/SSD1928.h ../SSD1928L\ Drivers/Microchip/Include/GenericTypeDefs.h ./ssd1928/SSD1928_I2C.h ../SSD1928L\ Drivers/OV7660/ov7660.h ./ssd1928/SSD1928_REG.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24FJ128GA010.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24Fxxxx.h ./ssd1928/SSD1928.h ../SSD1928L\ Drivers/Microchip/Include/GenericTypeDefs.h ../../../program\ files/microchip/mplab\ c30/bin/../include/yvals.h ../../../program\ files/microchip/mplab\ c30/bin/../include/stdlib.h ../SSD1928L\ Drivers/GraphicsConfig.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Graphics.h Microchip/Graphics/Primitive.c
	$(CC) -mcpu=24FJ128GA010 -x c -c "Microchip\Graphics\Primitive.c" -o"Objects-SSD1928Drivers\Primitive.o" -I".\ssd1928" -I"..\SSD1928L Drivers" -I"..\SSD1928L Drivers\sdhc" -I"..\SSD1928L Drivers\uart" -I"..\SSD1928L Drivers\OV7660" -I"..\SSD1928L Drivers\peripheral_24F\include" -I"..\SSD1928L Drivers\Microchip\Include\Graphics" -I"..\SSD1928L Drivers\Microchip\Include" -I"..\SSD1928L Drivers\Microchip\Graphics" -D__DEBUG -g -Os

Objects-SSD1928Drivers/Picture.o : ../SSD1928L\ Drivers/Microchip/Include/Graphics/Meter.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/RoundDial.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/ListBox.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/EditBox.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/ProgressBar.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Picture.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/RadioButton.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/CheckBox.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Slider.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/StaticText.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/GroupBox.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Window.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Button.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/GOL.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/ScanCodes.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Primitive.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24FJ128GA010.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24Fxxxx.h ./ssd1928/endian.h ./ssd1928/ssd1928_sdhc.h ./ssd1928/SSD1928.h ../SSD1928L\ Drivers/Microchip/Include/GenericTypeDefs.h ./ssd1928/SSD1928_I2C.h ../SSD1928L\ Drivers/OV7660/ov7660.h ./ssd1928/SSD1928_REG.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24FJ128GA010.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24Fxxxx.h ./ssd1928/SSD1928.h ../SSD1928L\ Drivers/Microchip/Include/GenericTypeDefs.h ../../../program\ files/microchip/mplab\ c30/bin/../include/yvals.h ../../../program\ files/microchip/mplab\ c30/bin/../include/stdlib.h ../SSD1928L\ Drivers/GraphicsConfig.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Graphics.h Microchip/Graphics/Picture.c
	$(CC) -mcpu=24FJ128GA010 -x c -c "Microchip\Graphics\Picture.c" -o"Objects-SSD1928Drivers\Picture.o" -I".\ssd1928" -I"..\SSD1928L Drivers" -I"..\SSD1928L Drivers\sdhc" -I"..\SSD1928L Drivers\uart" -I"..\SSD1928L Drivers\OV7660" -I"..\SSD1928L Drivers\peripheral_24F\include" -I"..\SSD1928L Drivers\Microchip\Include\Graphics" -I"..\SSD1928L Drivers\Microchip\Include" -I"..\SSD1928L Drivers\Microchip\Graphics" -D__DEBUG -g -Os

Objects-SSD1928Drivers/ov7660.o : ./ssd1928/SSD1928_REG.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24FJ128GA010.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24Fxxxx.h ./ssd1928/SSD1928.h ../SSD1928L\ Drivers/Microchip/Include/GenericTypeDefs.h ./ssd1928/SSD1928_I2C.h OV7660/ov7660.h OV7660/ov7660.c
	$(CC) -mcpu=24FJ128GA010 -x c -c "OV7660\ov7660.c" -o"Objects-SSD1928Drivers\ov7660.o" -I".\ssd1928" -I"..\SSD1928L Drivers" -I"..\SSD1928L Drivers\sdhc" -I"..\SSD1928L Drivers\uart" -I"..\SSD1928L Drivers\OV7660" -I"..\SSD1928L Drivers\peripheral_24F\include" -I"..\SSD1928L Drivers\Microchip\Include\Graphics" -I"..\SSD1928L Drivers\Microchip\Include" -I"..\SSD1928L Drivers\Microchip\Graphics" -D__DEBUG -g -Os

Objects-SSD1928Drivers/comm.o : ../../../program\ files/microchip/mplab\ c30/bin/../include/yvals.h ../../../program\ files/microchip/mplab\ c30/bin/../include/string.h ../SSD1928L\ Drivers/Microchip/Include/GenericTypeDefs.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24FJ128GA010.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24Fxxxx.h uart/comm.h uart/comm.c
	$(CC) -mcpu=24FJ128GA010 -x c -c "uart\comm.c" -o"Objects-SSD1928Drivers\comm.o" -I".\ssd1928" -I"..\SSD1928L Drivers" -I"..\SSD1928L Drivers\sdhc" -I"..\SSD1928L Drivers\uart" -I"..\SSD1928L Drivers\OV7660" -I"..\SSD1928L Drivers\peripheral_24F\include" -I"..\SSD1928L Drivers\Microchip\Include\Graphics" -I"..\SSD1928L Drivers\Microchip\Include" -I"..\SSD1928L Drivers\Microchip\Graphics" -D__DEBUG -g -Os

Objects-SSD1928Drivers/monitor.o : ../../../program\ files/microchip/mplab\ c30/bin/../include/string.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24FJ128GA010.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24Fxxxx.h uart/comm.h ../SSD1928L\ Drivers/Microchip/Include/GenericTypeDefs.h uart/monitor.h ../../../program\ files/microchip/mplab\ c30/bin/../include/yvals.h ../../../program\ files/microchip/mplab\ c30/bin/../include/stdarg.h uart/monitor.c
	$(CC) -mcpu=24FJ128GA010 -x c -c "uart\monitor.c" -o"Objects-SSD1928Drivers\monitor.o" -I".\ssd1928" -I"..\SSD1928L Drivers" -I"..\SSD1928L Drivers\sdhc" -I"..\SSD1928L Drivers\uart" -I"..\SSD1928L Drivers\OV7660" -I"..\SSD1928L Drivers\peripheral_24F\include" -I"..\SSD1928L Drivers\Microchip\Include\Graphics" -I"..\SSD1928L Drivers\Microchip\Include" -I"..\SSD1928L Drivers\Microchip\Graphics" -D__DEBUG -g -Os

Objects-SSD1928Drivers/SSD1928.o : ../SSD1928L\ Drivers/Microchip/Include/Graphics/Meter.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/RoundDial.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/ListBox.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/EditBox.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/ProgressBar.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Picture.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/RadioButton.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/CheckBox.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Slider.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/StaticText.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/GroupBox.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Window.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Button.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/GOL.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/ScanCodes.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Primitive.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24FJ128GA010.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24Fxxxx.h ./ssd1928/endian.h ./ssd1928/ssd1928_sdhc.h ./ssd1928/SSD1928.h ../SSD1928L\ Drivers/Microchip/Include/GenericTypeDefs.h ./ssd1928/SSD1928_I2C.h ../SSD1928L\ Drivers/OV7660/ov7660.h ./ssd1928/SSD1928_REG.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24FJ128GA010.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24Fxxxx.h ./ssd1928/SSD1928.h ../SSD1928L\ Drivers/Microchip/Include/GenericTypeDefs.h ../../../program\ files/microchip/mplab\ c30/bin/../include/yvals.h ../../../program\ files/microchip/mplab\ c30/bin/../include/stdlib.h ../SSD1928L\ Drivers/GraphicsConfig.h ../SSD1928L\ Drivers/Microchip/Include/Graphics/Graphics.h ssd1928/SSD1928.c
	$(CC) -mcpu=24FJ128GA010 -x c -c "ssd1928\SSD1928.c" -o"Objects-SSD1928Drivers\SSD1928.o" -I".\ssd1928" -I"..\SSD1928L Drivers" -I"..\SSD1928L Drivers\sdhc" -I"..\SSD1928L Drivers\uart" -I"..\SSD1928L Drivers\OV7660" -I"..\SSD1928L Drivers\peripheral_24F\include" -I"..\SSD1928L Drivers\Microchip\Include\Graphics" -I"..\SSD1928L Drivers\Microchip\Include" -I"..\SSD1928L Drivers\Microchip\Graphics" -D__DEBUG -g -Os

Objects-SSD1928Drivers/SSD1928_I2C.o : ssd1928/SSD1928_REG.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24FJ128GA010.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24Fxxxx.h ssd1928/SSD1928.h ../SSD1928L\ Drivers/Microchip/Include/GenericTypeDefs.h ssd1928/SSD1928_I2C.h ssd1928/SSD1928_I2C.c
	$(CC) -mcpu=24FJ128GA010 -x c -c "ssd1928\SSD1928_I2C.c" -o"Objects-SSD1928Drivers\SSD1928_I2C.o" -I".\ssd1928" -I"..\SSD1928L Drivers" -I"..\SSD1928L Drivers\sdhc" -I"..\SSD1928L Drivers\uart" -I"..\SSD1928L Drivers\OV7660" -I"..\SSD1928L Drivers\peripheral_24F\include" -I"..\SSD1928L Drivers\Microchip\Include\Graphics" -I"..\SSD1928L Drivers\Microchip\Include" -I"..\SSD1928L Drivers\Microchip\Graphics" -D__DEBUG -g -Os

Objects-SSD1928Drivers/ssd1928_sdhc.o : ../SSD1928L\ Drivers/uart/comm.h ../SSD1928L\ Drivers/uart/monitor.h ../../../program\ files/microchip/mplab\ c30/bin/../include/yvals.h ../../../program\ files/microchip/mplab\ c30/bin/../include/string.h ../SSD1928L\ Drivers/Microchip/Include/GenericTypeDefs.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24FJ128GA010.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24Fxxxx.h ../SSD1928L\ Drivers/uart/comm.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24FJ128GA010.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24Fxxxx.h ssd1928/endian.h ssd1928/SSD1928_REG.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24FJ128GA010.h ../../../program\ files/microchip/mplab\ c30/bin/../support/h/p24Fxxxx.h ssd1928/SSD1928.h ../SSD1928L\ Drivers/Microchip/Include/GenericTypeDefs.h ssd1928/ssd1928_sdhc.h ssd1928/ssd1928_sdhc.c
	$(CC) -mcpu=24FJ128GA010 -x c -c "ssd1928\ssd1928_sdhc.c" -o"Objects-SSD1928Drivers\ssd1928_sdhc.o" -I".\ssd1928" -I"..\SSD1928L Drivers" -I"..\SSD1928L Drivers\sdhc" -I"..\SSD1928L Drivers\uart" -I"..\SSD1928L Drivers\OV7660" -I"..\SSD1928L Drivers\peripheral_24F\include" -I"..\SSD1928L Drivers\Microchip\Include\Graphics" -I"..\SSD1928L Drivers\Microchip\Include" -I"..\SSD1928L Drivers\Microchip\Graphics" -D__DEBUG -g -Os

clean : 
	$(RM) "Objects-SSD1928Drivers\MainDemo.o" "Objects-SSD1928Drivers\Font25PixelsHeight.o" "Objects-SSD1928Drivers\Primitive.o" "Objects-SSD1928Drivers\Picture.o" "Objects-SSD1928Drivers\ov7660.o" "Objects-SSD1928Drivers\comm.o" "Objects-SSD1928Drivers\monitor.o" "Objects-SSD1928Drivers\SSD1928.o" "Objects-SSD1928Drivers\SSD1928_I2C.o" "Objects-SSD1928Drivers\ssd1928_sdhc.o" "Objects-SSD1928Drivers\SSD1928L Drivers.cof" "Objects-SSD1928Drivers\SSD1928L Drivers.hex"

